Bug 391968 - Ktouch not showing icons and impossible to change training language
Summary: Ktouch not showing icons and impossible to change training language
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Gottfried
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-17 16:01 UTC by ozbiverhnjak
Modified: 2019-07-04 21:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 19.08.0


Attachments
An image of ktouch layout (165.03 KB, image/png)
2018-03-17 16:01 UTC, ozbiverhnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ozbiverhnjak 2018-03-17 16:01:09 UTC
Created attachment 111464 [details]
An image of ktouch layout

I am using Ubuntu 17.10, but it seems that ktouch has still some issues on that OS. It does not show any icons for preferences (normally located in upper right corner)and it does not allow me too choose any other learning language. My working language is set to slovenian.
Comment 1 Sebastian Gottfried 2018-03-20 13:50:37 UTC
KTouch has a preferences menu in the top right corner. I looks like your icon theme lacks some of the icons KTouch uses. For instance, in top left the button for the profile selector lacks a icon, too. Try to use the Oxygen or Breeze icon set.

For training a different keyboard layout or language, see:

    https://userbase.kde.org/KTouch/HowTo/DifferentKeyboardLayout
Comment 2 Sebastian Gottfried 2019-07-04 21:06:19 UTC
Git commit 106d3bbe772568f82d758da7c74d5089fdb55120 by Sebastian Gottfried.
Committed on 04/07/2019 at 21:02.
Pushed by gottfried into branch 'master'.

Merge Branch 'homescreen-ng'

This replaces the home screen to solve KTouch's most egrigous problem:
content discovery. Previously, KTouch displayed only the courses for the
the currently active keyboard layout. If KTouch has no course for this
layout, the windows was basically empty showing only the option to
create a new custom lesson. Being forced to set up first the correct
keyboad layout for your computer has proven to be unintuitive. The
new home screen shows all available training content at a glance.

Improvements in more detail:

 * There is a new sidebar allowing the user to select from all available
   keyboard layouts with their associated courses. Users still have to
   set up the correct layout matching the selected course, though, and
   they are told how to do so with an passive notification. (BUG 395264,
   BUG 385425, BUG 331368, BUG 398773, BUG 391968, BUG 364011)

 * Training statistics are now available from the home screen for each
   lesson. Previously they have been only shown on the score screen
   after completing a lesson. (BUG 401359, BUG 317174)

 * The lesson selector has been redesign to show previews of each lesson
   as selectable items in a grid view.

  * Tab focus works now as expected and allows training without using the
    mouse at all. (BUG 316058)

  * Support for HiDPI rendering has been added.

  * KTouch now uses Qt Quick Controls 2 instead of version 1.
Related: bug 385425, bug 401359, bug 331368, bug 398773, bug 364011, bug 316058, bug 395264, bug 317174
FIXED-IN: 19.08.0
Differential Revision: https://phabricator.kde.org/D20953

M  +3    -4    CMakeLists.txt
M  +7    -2    src/CMakeLists.txt
M  +2    -2    src/declarativeitems/lessonpainter.h
M  +13   -12   src/qml/homescreen/ProfileDetailsItem.qml
M  +4    -4    src/qml/keyboard/KeyItem.qml
M  +1    -1    src/qml/keyboard/Keyboard.qml
M  +2    -2    src/qml/keyboard/KeyboardLayoutEditor.qml
M  +94   -208  src/qml/scorescreen/ScoreScreen.qml
M  +3    -3    src/qml/trainingscreen/TrainingWidget.qml

https://commits.kde.org/ktouch/106d3bbe772568f82d758da7c74d5089fdb55120